package processing

import (
	"oc-lib/logs"
	"oc-lib/mongo"
)

 type ProcessingMongoAccessor struct{

 }


func (pma *ProcessingMongoAccessor) StoreOne(processing Processing) string {
	
	id, err := mongo.StoreOne(processing,"processing")
	if err != nil{
		l := logs.CreateLogger("oclib","")
		l.Error().Msg("Could not store " + processing.Name + " to db. Error: " + err.Error())
		return ""
	}
	return id
}

func (pma *ProcessingMongoAccessor) LoadOne(id string) Processing {

	var processing Processing

	res_mongo, err := mongo.LoadOne(id,"processing")
	if err != nil{
			l := logs.CreateLogger("oclib","")
			l.Error().Msg("Could not retrieve " + id + " from db. Error: " + err.Error())
			return Processing{}
		}

	res_mongo.Decode(&processing)

	return processing
}