package data

import (
	oclib "oc-lib"
)

type Data struct {
	oclib.AbstractResource

	Protocols		[]string	`json:"protocol,omitempty" bson:"protocol,omitempty"` //TODO Enum type
	DataType    	string   	`json:"datatype" required:"true" bson:"datatype"`
	Example  		string   	`json:"example" bson:"example" required:"true" validate:"required" description:"base64 encoded data"`

}


func (d *Data) GetType() oclib.ResourceType{
	return oclib.DATA
}




