package oclib


type WorkflowMongoAccessor struct{}

func (wfa *WorkflowMongoAccessor) StoreOne(workflow Workflow) string {
    id, err := StoreOne(workflow, "workflow")
    if err != nil {
        l := CreateLogger("oclib", "")
        l.Error().Msg("Could not store " + workflow.Name + " to db. Error: " + err.Error())
        return ""
    }
    return id
}

func (wfa *WorkflowMongoAccessor) LoadOne(id string) Workflow {
    var workflow Workflow

    res_mongo, err := LoadOne(id, "workflow")
    if err != nil {
        l := CreateLogger("oclib", "")
        l.Error().Msg("Could not retrieve " + id + " from db. Error: " + err.Error())
        return Workflow{}
    }

    res_mongo.Decode(&workflow)

    return workflow
}